
2008-07-13  Karl H. Beckers  <karl.h.beckers@gmx.net>
	doc/xvidcap/de/figures/menu-show-frame.png: added
		image for German doc l10n

2008-07-09  Vincenzo Reale <smart2128@baslug.org>
	po/it.po: updated Italian l10n

2008-07-09  Karl H. Beckers  <karl.h.beckers@gmx.net>
	po: en.po, ru.po, es.po, fr.po, de.po, zh_CN.po: 
		updated code line references

2008-06-12  Karl H. Beckers  <karl.h.beckers@gmx.net>
	src: gnome_ui.c, gnome_ui.h, gnome_frame.c: fix remaining
		problem with capture frame positioning with 
		compiz

2008-05-26  Karl H. Beckers  <karl.h.beckers@gmx.net>
	src: xtoffmpeg.c, gnome_ui.c, capture.c, 
		xvidcap-dbus-client.c, app_data.h, job.h, 
		gnome_frame.c, gnome_frame.h: fix 
		bug # 1952636
	debian/changelog, debian/rules, Doxyfile, 
		src/xvc_error_item.c, src/gnome-xvidcap.glade,
		doc: man/C/xvidcap-dbus-client.1.xml,
		man/C/xvidcap-dbus-client.1, 
		man/C/xvidcap-dbus-client.1.xml.pot,
		man/C/xvidcap.1.xml, man/C/xvidcap.1,
		man/C/xvidcap.1.xml.pot, man/es/xvidcap.1,
		man/de/xvidcap.1-de.po, 
		man/de/xvidcap-dbus-client.1.xml,
		man/de/xvidcap-dbus-client.1, 
		man/de/xvidcap-dbus-client.1-de.po,
		man/de/xvidcap.1.xml, man/de/xvidcap.1,
		man/it/xvidcap.1-it.po, 
		man/it/xvidcap-dbus-client.1-it.po,
		man/it/xvidcap.1.xml, man/it/xvidcap.1,
		xvidcap/C/xvidcap.xml, xvidcap/C/xvidcap.xml.pot,
		xvidcap/de/xvidcap.xml-de.po,
		xvidcap/de/xvidcap.xml, xvidcap/it/xvidcap.xml-it.po,
		xvidcap/it/xvidcap.xml, po: en.po, ru.po, es.po,
		fr.po, de.po, it.po, zh_CN.po: version bump
	configure.in, aclocal.m4: build host upgrade

2008-05-02  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/xtoffmpeg.c, src/gnome_ui.c, src/gnome_frame.c:
		preliminary fix for bug # 1952636 and for
		too small encoding buffer for very small
		areas (though according to ffmpeg it should
		have been large enough)
	* doc/xvidcap/C/figures/menu-show-frame.png: added
		image for new menu item
	* . (properties): updated to current ffmpeg svn

2008-04-17  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/xtoffmpeg.c, configure.in, config.h.in, ffmpeg:
		update for current ffmpeg

2008-04-17  Jacques Blouin  <jacdex@gmail.com>
	* po/fr.po: added French translation

2008-03-12  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: frame.h, xtoxwd.h, led_meter.h, codecs.h, 
		colors.h, xvidcap-intl.h, dbus-server-object.h, 
		control.h, gnome_warning.h, xtoffmpeg.h, 
		gnome_ui.h, capture.h, app_data.h, job.h, 
		eggtrayicon.h, gnome_frame.h, gnome_options.h, 
		xvc_error_item.h: complete fix for bug # 1885088
		(only _XReadPad and __cplusplus remain which
		are only used here, defined elsewhere)

2008-02-08  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: led_meter.h, codecs.h, control.h, 
		gnome_warning.c, app_data.c, app_data.h, 
		job.h, eggtrayicon.h, xv_error_item.c, 
		xvc_error_item.c, Makefile.am, 
		xv_error_item.h, xvc_error_item.h,
		../po: en.po, ru.po, es.po, de.po, it.po, 
		POTFILES.in, zh_CN.po: fix bug # 1885088 
		and also change XvError* to match the 
		XVC_* naming scheme now used elsewhere
	* doc/xvidcap/de: xvidcap.xml-de.po, 
		figures/menu.png, figures/prefs-commands.png, 
		figures/prefs-mf.png, figures/prefs-sf.png, 
		figures/prefs-general.png: docs l10n

2008-02-03  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/app_data.c: fix for but #1885105 was
		incomplete
	* src/app_data.c: fix for but #1885105 was
		still flawed

2008-02-02  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* aclocal.m4, src: led_meter.c, codecs.c, 
		colors.c, led_meter.h, codecs.h, 
		colors.h, control.h, xtoffmpeg.c, 
		gnome_ui.c, capture.c, app_data.c, 
		job.c, app_data.h, gnome_frame.c, 
		gnome_options.c, main.c, options.c: 
		indentation and fix for bug # 1880627,
		thanks Markus for the original patch.
	* configure.in, config.h.in, acinclude.m4,
		aclocal.m4: fix for rfe # 1880629
	* doc/xvidcap/it/xvidcap.xml, doc:  
		C/xvidcap-dbus-client.1, C/xvidcap.1, 
		es/xvidcap.1, de/xvidcap-dbus-client.1, 
		de/xvidcap.1, it/xvidcap.1.xml, 
		it/xvidcap.1: regenerated docs

2008-01-14  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: gnome_frame.c, gnome_ui.c: fix capture
		type radio button in menu and some
		debug statements.

2008-01-13  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* Makefile.am, Changelog: added EXTRA_DIST
		net.jarre_de_the.Xvidcap.service.in
	* doc/man/it/xvidcap-dbus-client.1-it.po,
		src/options.c, po/en.po, po/ru.po, 
		po/es.po, po/de.po, po/it.po, 
		po/zh_CN.po, doc/man: 
		C/xvidcap-dbus-client.1.xml, 
		C/xvidcap-dbus-client.1.xml.pot, 
		C/xvidcap.1.xml, C/xvidcap.1.xml.pot, 
		de/xvidcap.1-de.po, 
		de/xvidcap-dbus-client.1.xml, 
		de/xvidcap-dbus-client.1, 
		de/xvidcap-dbus-client.1-de.po, 
		de/xvidcap.1.xml, de/xvidcap.1, 
		it/xvidcap.1-it.po: Preparing
		l10n for 1.1.7
	* docs/xvidcap: C/figures/menu-mf.png, 
		C/figures/menu.png, 
		C/figures/menu-cont.png, 
		C/figures/menu-sf.png, 
		C/figures/menu-about.png, 
		C/figures/menu-save-prefs.png, 
		C/figures/prefs-commands.png, 
		C/figures/prefs-mf.png, 
		C/figures/menu-animate.png, 
		C/figures/menu-prefs.png, 
		C/figures/menu-make-video.png, 
		C/figures/menu-quit.png, 
		C/figures/prefs-sf.png, 
		C/figures/prefs-general.png, 
		C/figures/menu-help.png, 
		C/xvidcap.xml, C/xvidcap.xml.pot, 
		de/xvidcap.xml-de.po, de/xvidcap.xml, 
		it/xvidcap.xml-it.po: Preparing
		l10n of manual for 1.1.7

2007-12-16  Benjamin Larsson  <banan@ludd.ltu.se>
	* src: codecs.c, codecs.h: added codecs
		"Flash Screen Video" and "FFmpeg
		Video 1" for lossless screen
		captures

2007-12-16  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/xtoffmpeg.c: fix flawed capture size
		calculation with rescale
	* src/gnome_ui.c: fix flawed UI behaviour
		around hiding and showing frame
	* src/Makefile.am: fix build without dbus
 
2007-11-30  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: gnome_ui.c, capture.c, app_data.c, 
		app_data.h, gnome_frame.c, gnome_options.c, 
		options.c, gnome-xvidcap.glade: Add
		functionality for following the mouse
		pointer when capturing and hiding 
		the frame.
	* src: codecs.c, codecs.h: add format for 
		direct VOB creation
	* src/app_data.c: fixed array arithmetic for
		error printing in nongui mode

2007-11-23  dAniel hAhler  <daniel@thequod.de>
	* po/de.po: bugfix for missing echo's

2007-11-20  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: gnome_ui.c, capture.c, app_data.c, 
		job.c, app_data.h, job.h: make 
		capturing more correct, avoid some
		more potential deadlocks through
		tighter thread synchronization

2007-11-13  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: gnome_ui.c, capture.c, gnome_frame.c:
		some fixes, improvements, optimizations
		for changing the capture area while
		capturing. You may notice some more 
		delay of repainting the control UI
		while capturing and moving it, but
		your captured video will now be correct.

2007-11-08  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: frame.h, gnome_ui.c, capture.c, app_data.c, 
		app_data.h, gnome_frame.c, frame.c:
		optimize X11 roundtrips by obtaining
		required X11 info up front and storing
		it in XVC_AppData. Also fix a BadMatch
		with stopping when using XDamage and
		the notification area 

2007-11-07  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/xtoffmpeg.c: fix ffmpeg multi-threading
		for very small capture areas where
		4 threads would exceed ffmpeg's 
		internal maximum
	* src: xtoffmpeg.c, gnome_ui.c, capture.c, job.c:
		fixes to state changes during capture
		to make sure no external state changes
		can occur while we're reacting on a
		given state
	* src: control.h, xtoffmpeg.c, gnome_ui.c, 
		capture.c, app_data.c, job.c, app_data.h, 
		gnome_frame.c, job.h, main.c: add the 
		mutexes to the XVC_AppData struct to
		avoid their being global and make sure
		movement of the capture area during a
		capture can only take place with the
		right timing so as not to capture the
		frame while it is moved. Also we need
		to caputre full frames (no Xdamage)
		when the capture area is moved during
		capture.

2007-11-06  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* po/en.po, po/de.po, src: gnome_ui.c, capture.c, 
		job.c, job.h: Added error msg popup
		when error occurs writing captured
		data to file

2007-11-04  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/xvidcap-dbus-client.c, src/main.c, 
		po: en.po, de.po, POTFILES.in:
		updated i18n
	* doc/man: C/xvidcap-dbus-client.1.xml, 
		C/xvidcap-dbus-client.1, 
		C/xvidcap-dbus-client.1.xml.pot, 
		C/Makefile.am, C/xvidcap.1.xml, C/xvidcap.1, 
		C/xvidcap.1.xml.pot, de/xvidcap.1-de.po, 
		de/xvidcap-dbus-client.1.xml, 
		de/xvidcap-dbus-client.1, 
		de/xvidcap-dbus-client.1-de.po, 
		de/Makefile.am, de/xvidcap.1.xml, 
		de/xvidcap.1: added xvidcap-dbus-client
		manpage and updated xvidcap manpage
		for 1.1.7

2007-11-02  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: gnome_ui.c, capture.c, job.c, Makefile.am: 
		fix --continue with --time and one
		condition where starting recording with
		current frame == max frame would cause
		a crash

2007-10-29  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: dbus-server-object.c, dbus-server-object.h,
		xvidcap-dbus-client.c: added doxygen
		comments

2007-10-25  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* configure.in, Makefile.am, src: 
		dbus-server-object.c, xvidcap-dbus.xml,
		dbus-server-object.h, gnome_ui.c,
		xvidcap-dbus-client.c, Makefile.am:
		make dbus activation work (make sure
		you can write your video file)
	* src: xtoffmpeg.c, capture.c, job.c: code
		cleanup and additional debug output
	* depcomp, INSTALL, COPYING, missing, aclocal.m4,
		install-sh: new autotools version
	* doc/xvidcap/de/figures/xvidcap-warning.png:
		added image to svn

2007-10-24  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: dbus-server-object.c, xvidcap-dbus.xml,
		dbus-server-object.h, xvidcap-dbus-client.c:
		added start, stop, pause remote functions
		to dbus server.
	* src: xvidcap-dbus-client.c, Makefile.am:
		integrate xvidcap-dbus-client in normal
		build

2007-10-23  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* net.jarre_de_the.Xvidcap.service.in, Makefile.am,
		src: dbus-server-object.c, 
		dbus-server-object.h, Makefile.am, 
		xvidcap-infos.xml: prototype for
		dbus support
	* Makefile.am, src: dbus-server-object.c, 
		xvidcap-dbus.xml, dbus-server-object.h, 
		xvidcap-dbus-client.c, app_data.c, 
		app_data.h, Makefile.am, xvidcap-infos.xml:
		dbus prototype works, now
	* src/capture.c: Solaris does not have extutil.h

2007-10-22  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/app_data.c: reimplemented passing of
		environment variables to spawned 
		processes (e. g. animate/play) to
		make it work independant of the shell
	* src: colors.h, app_data.c, xtoxwd.c, 
		gnome_options.c: some fixes for 
		compiling with DEBUG=1
	* src: gnome_ui.c, gnome_ui.h: code cleanup

2007-09-13  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/gnome_frame.c: fixed bug where resizing
		the capture frame on one side would
		change the other end, too.

2007-08-25  lon  <lon83129@126.com>
	* po/zh_CN.po: updated l10n

2007-08-13  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/gnome_ui.c: fix for bug 1757339 (gtk+ 
		2.4 compat issue)

2007-06-30  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* ffmpeg: ffmpeg version bump to current
		version (preliminary tests look good,
		needs more testing). Also fixed svn
		externals to always pull well-defined
		version of libswscale.

2007-06-30  Samuli Suominen  <drac@gentoo.org>
	* src/xtoffmpeg.c: remove include of dsputil.h

2007-06-30  lon  <lon83129@126.com>
	* po/zh_CN.po: updated Chinese l10n

2007-06-30  Treviño  <trevi55@gmail.com>
	* debian: control, rules: enable libtheora and
		require imagemagick

2007-05-30  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* debian/changelog, debian/rules, Doxyfile, 
		configure.in, src/codecs.c, config.h.in, 
		doc/man/C/xvidcap.1.xml, 
		doc/man/de/xvidcap.1.xml, 
		doc/man/it/xvidcap.1.xml, 
		doc/xvidcap/C/xvidcap.xml, 
		doc/xvidcap/C/xvidcap.xml.pot, 
		doc/xvidcap/de/xvidcap.xml-de.po, 
		doc/xvidcap/de/xvidcap.xml, 
		doc/xvidcap/it/xvidcap.xml-it.po, 
		doc/xvidcap/it/xvidcap.xml, 
		po/en.po, po/ru.po, po/es.po, po/de.po, 
		po/it.po, po/zh_CN.po: version bump
		to 1.1.6
	* src/gnome-xvidcap.glade: regression fix to
		avoid that the main menu has both sf
		and mf radio menu items selected on
		startup
	* debian/control: adding libogg/dev and
		libtheora/dev to dependencies

2007-05-29  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* version bump

2007-05-29  lon  <lon83129@126.com>
	* po/zh_CN.po: updated l10n

2007-05-29  Alexander Kraev  <alexander.kraev@gmail.com>
	* po/ru.po: updated l10n

2007-05-22  Alexander Kraev  <alexander.kraev@gmail.com>
	* po/ru.po: updated l10n

2007-05-22  lon  <lon83129@126.com>
	* po/zh_CN.po: updated l10n

2007-05-22  Vincenzo Reale <smart2128@baslug.org>
	* doc/xvidcap/it/figures/prefs-general.png:
		updated for current version

2007-05-18  Vincenzo Reale <smart2128@baslug.org>
	* doc: man/it/xvidcap.1-it.po, 
		man/it/xvidcap.1.xml, man/it/xvidcap.1, 
		xvidcap/it/xvidcap.xml-it.po, 
		xvidcap/it/xvidcap.xml: updated
		Italian l10n for docs
	* po/it.po: updated l10n

2007-05-18  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/gnome_ui.c: removing unneeded variable
	* src/gnome-xvidcap.glade: removing Alt-P hint
		for pausing while minimized to tray.
		It didn't work, and we'll revisit it
		when adding IPC for shortcut control.

2007-05-17  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* po: en.po, de.po: updated l10n
	* doc/man: C/xvidcap.1.xml, C/xvidcap.1.xml.pot, 
		de/xvidcap.1-de.po, it/xvidcap.1-it.po:
		updated l10n
	* doc/xvidcap: C/figures/prefs-general.png, 
		C/xvidcap.xml, C/xvidcap.xml.pot, 
		de/xvidcap.xml-de.po, 
		de/figures/prefs-general.png, 
		it/xvidcap.xml-it.po, po/en.po:
		updated l10n
	* po: ru.po, es.po, de.po, it.po, zh_CN.po: 
		updated l10n
	* doc: man/C/xvidcap.1, man/de/xvidcap.1.xml, 
		man/de/xvidcap.1, man/it/xvidcap.1.xml, 
		man/it/xvidcap.1, xvidcap/de/xvidcap.xml, 
		xvidcap/it/xvidcap.xml: updated
		generated docs

2007-05-12  lon  <lon83129@126.com>
	* po/zh_CN.po: Chinese l10n

2007-05-12  Alexander Kraev  <alexander.kraev@gmail.com>
	* po/ru.po: Initial bits of Russian l10n

2007-05-12  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: gnome_ui.c, gnome_frame.c: fix for 
		bug # 1713971
	* src/xtoffmpeg.c: fix for bug # 1713968
	* src: codecs.c, control.h, xtoffmpeg.c, gnome_ui.c, 
		capture.c, gnome_ui.h, eggtrayicon.c, 
		gnome_frame.c, eggtrayicon.h, options.c: 
		code cleanup, fixed bug around releasing
		pause in stopped mode that would not set
		VC_STOP immediately
	* src/gnome_ui.c: fix bug around calculating
		capture times when stopping paused
		session (and as a consequence the avg
		frame rate calculation)

2007-05-10  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: gnome_ui.c, app_data.h, gnome_frame.c, 
		gnome_options.c, Makefile.am, options.c, 
		gnome-xvidcap.glade: initial version of
		"minimize to tray" (rfe # 1520188), fix
		for bug # 1711808 and bug # 1709369
	* src: eggtrayicon.c, eggtrayicon.h: forgot to
		add for previous commit
	* src: gnome_ui.c, gnome_ui.h, gnome_frame.c:
		saving screen real estate by removing
		image in minimized form, also fixed
		frame as undraggable while recording
		and deiconify main control earlier
		when stopping

2007-05-02  Vincenzo Reale <smart2128@baslug.org>
	* po/it.po: updated Italian translation

2007-05-01  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: app_data.c, app_data.h, gnome_options.c:
		add error msg for mono vorbis audio as ffmpeg
		only supports stereo atm.
	* src/app_data.c, doc/xvidcap/C/xvidcap.xml, 
		doc/xvidcap/C/xvidcap.xml.pot, 
		doc/xvidcap/de/xvidcap.xml-de.po, 
		doc/xvidcap/it/xvidcap.xml-it.po, 
		po/en.po, po/es.po, po/de.po, po/it.po:
		change audio defaults to 44.1KHz/64Kb/2ch
		and remove tip to manually do so from docs
	
2007-04-30  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* configure.in, config.h.in, src: codecs.c, codecs.h, 
		gnome_options.c: remove --enable-libvorbis
		again to use ffmpeg's internal vorbis encoder
	* configure.in, config.h.in, src: codecs.c, codecs.h, 
		gnome_ui.c, app_data.c, app_data.h: basic
		support for theora and vorbis in avi. See
		./configure --help. Also makes mp3 support 
		configurable
	* configure.in, src/app_data.h, src/gnome_ui.c:
		remove GTKVERSION and XVC_VERSION again in
		favor of GTK_CHECK_VERSION (thanks to Christian
		Marillat for pointing that out)

2007-04-25  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* Changelog, debian/changelog, debian/rules, 
		configure.in, src/gnome-xvidcap.glade, 
		doc/man/C/xvidcap.1.xml, 
		doc/man/C/xvidcap.1.xml.pot, 
		doc/man/de/xvidcap.1.xml, doc/man/it/xvidcap.1.xml, 
		doc/xvidcap/C/xvidcap.xml, 
		doc/xvidcap/C/xvidcap.xml.pot, 
		doc/xvidcap/de/xvidcap.xml-de.po, 
		doc/xvidcap/de/xvidcap.xml, 
		doc/xvidcap/it/xvidcap.xml-it.po, 
		doc/xvidcap/it/xvidcap.xml: version bump
		to 1.1.5

2007-04-24  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* configure.in, config.h.in, aclocal.m4,
		po/Makefile.in.in, src: gnome_ui.c, app_data.h:
		add compat mode for gtk2.4 by replacing some
		stock button images with old ones.

2007-04-16  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/codecs.c: reenabling audio with swf since it
		seems to work again (playback with adobe
		flash player)

2007-04-11  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* doc/xvidcap/it/figures/prefs-general.png: Updated
		image for Italian documentation
	* Doxyfile, configure.in, src/gnome-xvidcap.glade,
		debian: changelog, rules: version bump to
		1.1.5rc3

2007-04-11  Vincenzo Reale <smart2128@baslug.org>
	* po/it.po, doc: man/it/xvidcap.1-it.po,
		xvidcap/it/xvidcap.xml-it.po,
		xvidcap/it/xvidcap.xml, man/it/xvidcap.1.xml,
		man/it/xvidcap.1: Italian translation

2007-04-10  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* debian/control: added build dependencies
	* src: capture.c, gnome_frame.c: cosmetics
	* src/gnome-xvidcap.glade: make frame dimenstions
		display sensitive
	* doc: xmldocs.make, man/C/xvidcap.1, man/man.make, 
		man/de/xvidcap.1.xml, man/de/xvidcap.1, 
		man/it/xvidcap.1.xml, man/it/xvidcap.1, 
		xvidcap/C/xvidcap.xml, 
		xvidcap/de/xvidcap.xml-de.po, 
		xvidcap/de/xvidcap.xml, 
		xvidcap/it/xvidcap.xml-it.po, 
		xvidcap/it/xvidcap.xml: more updates to
		i18n and its build process (forgot -a
		switch to xml2po in some places)

2007-04-09  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/gnome-xvidcap.glade, po/en.po, po/es.po, 
		po/de.po, po/it.po, doc: man/C/xvidcap.1.xml, 
		man/C/xvidcap.1.xml.pot, man/de/xvidcap.1-de.po, 
		man/it/xvidcap.1-it.po, 
		xvidcap/C/figures/prefs-general.png, 
		xvidcap/C/xvidcap.xml, xvidcap/C/xvidcap.xml.pot, 
		xvidcap/de/xvidcap.xml-de.po, 
		xvidcap/de/figures/prefs-general.png, 
		xvidcap/de/xvidcap.xml, 
		xvidcap/it/xvidcap.xml-it.po: i18n
		and docs plus their i18n (done for C and
		de, prepared for others)

2007-04-06  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/gnome_frame.c: only allow resize of frame
		through dragging when not recording, 
		also increase the duration the frame
		dimensions are displayed

2007-04-03  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: control.h, gnome_warning.c, gnome_ui.c, 
		app_data.h, gnome_frame.c, gnome_options.c, 
		gnome_frame.h, gnome-xvidcap.glade:
		finish new frame change code by adding
		fading frame dimensions display
	* src: codecs.c, xtoffmpeg.c: indentation and such

2007-04-02  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/xtoffmpeg.c: some cleanup of output pix
		format calculation
	* src/codecs.c: backport of const arrays to be
		compatible with gcc pre 4.1.x

2007-04-01  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/xtoffmpeg.c: fix for jpeg and mjpeg quality
		issues as reported in bug # 1689959 and
		bug # 1584093. This completely changes
		encoding to use VBR with fixed qscale
		and qmin and qmax set to qscale
	* src/app_data.c: quality is much more effective
		now. Change default to 90.
	* src/gnome_ui.c: make frame selection through
		select button more consistent with dragging.
	* src/xtoffmpeg.c: fix for pgm encoding which was
		broken due to correct pix_fmt detection in
		libavcodec (broken vcodec_find_best_pix_fmt)
	
2007-03-29  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: codecs.c, gnome_warning.c, xtoffmpeg.c, 
		gnome_ui.c, capture.c, app_data.c, job.c, 
		app_data.h, gnome_frame.c, gnome_options.c, 
		gnome_frame.h, main.c, options.c, xtoxwd.c:
		initial support for dragging frame to resize,
		fix for bug # 1689984 and bug # 1689959,
		also code cleanup
	* src/colors.c, src/colors.h: indentation

2007-03-28  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/xtoffmpeg.c: partial fix for bug # 1689959
	* src: colors.c, colors.h, xtoffmpeg.c, capture.c, 
		job.c, app_data.h, job.h: fix for 
		bug # 1689984

2007-03-23  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: capture.c, job.h, gnome_options.c, options.c:
		fix for bug # 1651517

2007-03-21  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* ffmpeg, ffmpeg-8195, ffmpeg-8133: updated ffmpeg to
		rev 8195 to fix bug # 1656899
	* src/app_data.c: fixes a segfault when running without
		any window manager

2007-03-16  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* configure.in, src/xtoxwd.c: better fix for bug # 1680765
	* src/app_data.c: fix for bug # 1681107
	* src/capture.c: cosmetics
	* ppm2mpeg.sh: remove tracing

2007-03-15  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/xtoffmpeg.c: fix for bug # 1669717
	* src/xtoxwd.c: fix for bug # 1680765
	* ppm2mpeg.sh: fix passing of frame rate to ffmpeg

2007-03-13  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/codecs.c: fix for bug # 1679545

2007-03-04  Vincenzo Reale <smart2128@baslug.org>
	* po/it.po: updated Italian x-lation

2007-02-28  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* ppm2mpeg.sh: fix for mutable filenames with '.' right
		after the '%' of the format specifier.
	* ffmpeg, ffmpeg-svn6791, ffmpeg-svn8133, configure.in,
		src/xtoffmpeg.c: libav* version bump
	* src/xtoffmpeg.c: fix bug # 1584093 on the xvidcap side
		(adding a trellis quantiser to ffmpeg is beyond my
		skill and time at hand)
	* src/capture.c: fixed XDamage stuff that was completely 
		broken for anything but 32bit RGBA
	* src/app_data.c: fixed animate command for mutable filenames
		that have a '.' right after the '%' of the format
		specifier.

2007-02-23  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* configure.in: change gtk+ dependency from 2.4 to 2.5 because
		of references to stock items not present before

2007-02-10  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/xtoffmpeg.c: fix for bug # 1656983

2007-02-08  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: codecs.c, codecs.h, gnome_ui.c, capture.c, capture.h, 
		app_data.c, job.c, app_data.h, job.h, gnome_options.c, 
		main.c: code cleanup, documentation and #ifdefs
	* po/de.po, po/en.po: German translation updated
	* configure.in, src/gnome-xvidcap.glade, debian: changelog, rules
		version bump to 1.1.5rc1 (not for docs)

2007-02-06  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/job.h: fix bug 1651517

2007-01-30  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: gnome_warning.c, xtoffmpeg.c, gnome_frame.c, main.c,
		xtoxwd.c: more code cleanup
	* configure.in, src: gnome_ui.c, capture.c, app_data.c, job.c,
		job.h, app_data.h, gnome_options.c, options.c, 
		gnome-xvidcap.glade: added XDamage capture 

2007-01-11  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: led_meter.c, xtoxwd.h, led_meter.h, xvidcap-intl.h, 
		gnome_warning.c, gnome_warning.h, xtoffmpeg.c, 
		gnome_ui.c, capture.c, app_data.c, job.c, gnome_frame.c, 
		job.h, gnome_options.c, xv_error_item.c, main.c, 
		gnome_options.h, xv_error_item.h, options.c, xtoxwd.c:
		more code cleanup and doxygenification
	* src/gnome_options.c: fixed indentation
	* Changelog: fixed date for new Italian translation
	* src: led_meter.c, codecs.c, colors.c, codecs.h, colors.h, 
		control.h, gnome_warning.c, xtoffmpeg.c, gnome_ui.c, 
		capture.c, gnome_ui.h, capture.h, app_data.c, job.c, 
		app_data.h, job.h, gnome_frame.c, gnome_options.c, 
		main.c, frame.c, options.c, xtoxwd.c: remove trailing
		whitespace

2007-01-11  Vincenzo Reale <smart2128@baslug.org>
	* po/it.po: updated Italian translation

2007-01-10  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* configure.in, src: led_meter.c, xtoxwd.h, led_meter.h, control.h, 
		gnome_warning.c, xtoffmpeg.c, gnome_warning.h, gnome_ui.c, 
		capture.c, xtoffmpeg.h, gnome_ui.h, app_data.c, job.c, 
		app_data.h, job.h, gnome_options.c, main.c, options.c, 
		xtoxwd.c: more code cleanup and doxygenification

2007-01-09  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: gnome_ui.c, gnome_options.c, gnome_options.h: more
		code cleanup and doxygenification
	* src/app_data.c: fixed bug where new fps handling was breaking
		the fps for the non-active capture type

2007-01-06  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* configure.in: fixed typo in check for db2x_docbook2man

2007-01-05  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: gnome_ui.c, gnome-xvidcap.glade: fix for bug
		#1623959 (About's Close does not close)
	
2007-01-04  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/*.[ch]: more code cleanup. Made structs more C-like
		used const where applicable, also factional fps
		values are back
	* debian/control: fix for missing scrollkeeper dependency
	* configure.in: fix for detection of Fedora's db2x-docbook2man

2006-12-22  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/*.[ch]: loads of code cleanup, most notably: removed
		redundancies in XVC_XVC_AppData and Job where possible, 
		reduced passing around of Job pointers where xvc_job_ptr
		does the job, started doxygen documentation

2006-12-21  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/xtoffmpeg.c: code cleanup
	* src: gnome_ui.c, app_data.c, job.c, job.h, main.c, frame.c:
		eliminate some cases where X11 displays were still
		opened outside xvc_frame_get_capture_display and
		added a new --window switch to select a window to
		capture by hexadecimal window id (ref. xwininfo)

2006-12-20  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/*.[ch]: indentation (more to follow), cleanup for
		display handling (no more leaking of displays)
		and real mouse pointer capture

2006-12-18  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* configure.in, src/capture.c: implemented initial support for
		capturing real mouse pointers (yippieh)
	* Makefile.am: DESTDIR fixes supplied by Julian Sikorski
		<belegdol@gmail.com>
	
2006-12-16  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: gnome_ui.c, gnome_frame.c: fixed some errors in the
		repositioning of the control during capture frame
		selection. The control could previously have been
		moved out of the top of the visible screen, apparently
		causing trouble with KDE.

2006-12-12  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/xtoffmpeg.c: revert to old bit rate calculation

2006-12-11  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src:  control.h, xtoffmpeg.c, gnome_ui.c, capture.c: suggested
		fix for bug # 1551015. Also fixed behaviour of 
		frame number in/decrement for single-frame capture
		and forward, back, step and reset counter buttons

2006-12-07  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* po/en.op: fixed mouseover for "Edit" button in multi-frame 
		mode
	* src: xtoffmpeg.c, gnome_ui.c, capture.c, capture.h, job.c,
		job.h: fed back code optimization around painting the
		mouse pointer Eduardo Gomez did for his patch to 
		ffmpeg (x11 demuxer). While at it I joined the 
		functions capturing individual frames from different
		sources (x11, shm) to make them more maintainable and
		easier to add (or reactivage dga, v4l)
	* .anjuta: that stuff should not be in svn
	* doc/xvidcap: de/xvidcap.xml, it/xvidcap.xml: version update

2006-11-16  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/xtoffmpeg.c: fix for 16 bit depth and 8 bit palette with
		new libswscale (fix for 8bit will be unneeded with
		next upgrade of libavcodec)
	* minor fixes to debian/* stuff for more cleanly package
	* version bump (1.1.4p1)

2006-10-30  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* doc/xvidcap/*/xvidcap*.omf: added more meaningful description
	* configure.in, debian: files, changelog, rule: version bump
	* src/gnome-xvidcap.glade: added version to about dialog

2006-10-30  Imanol Garcia <imanol.garcia.c@gmail.com>
	* doc/xvidcap/Makefile.am, doc/xvidcap/es/*: added preliminary
		Spanish translation of user-guide and manpage

2006-10-29  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* ffmpeg-svn6791/*: updated ffmpeg due to previously bad quality 
		of mjpeg
	* src/xtoffmpeg.c: made xtoffmpeg match new ffmpeg version and
		use libswscale
	* doc/xvidcap/*/figures: translated screenshots for German 
		version and used "Simple" GTK theme everywhere as a
		standard for translators.

2006-10-24  Vincenzo Reale <smart2128@baslug.org>
	* po/it.po, doc/xvidcap/it/xvidcap.xml-it.po: updated xlation

2006-10-23  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/xv_error_item.c: made two missing strings translateable
	* po/en.po, po/de.po: updated accordingly

2006-10-23  Vincenzo Reale <smart2128@baslug.org>
	* doc/xvidcap/it/figures/*: added translated screenshots
	* doc/xvidcap/it/xvidcap.xml-it.po: updated
	* po/it.po: updated

2006-10-22  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* po/en.po: updated English "translation"

2006-10-22  Vincenzo Reale <smart2128@baslug.org>
	* doc/xvidcap/it/*, configure.in, doc/xvidcap/Makefile.am:
		added Italian translation for user manual

2006-10-18  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* po: en.po, es.po, de.po, it.po: updated
	* doc/xvidcap/C: xvidcap.xml, xvidcap.xml.pot: fixed a few errors
		in the English original
	* doc/xvidcap/de: xvidcap-de.po, xvidcap.xml-de.po, xvidcap.xml:
		completed the user manual translation for German and
		renamed the po file
	* doc/xmldocs.make: included automatic translation for user manual
	* src/gnome-xvidcap.glade: fixed capture result dialog where "play"
		button was not a stock button

2006-10-13  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* debian/Makefile.am: added debian stuff to EXTRA_DIST
	* doc/man: man.make, C/Makefile.am, de/Makefile.am, it/Makefile.am:
		added xv_ENCODING to Makefiles (again?!?)
	* doc/man/it: xvidcap.1-it.po, xvidcap.1.xml, xvidcap.1: added
		reworked Italian translation of manpage

2006-10-12  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* configure.in, Makefile.am: added debian/* stuff and TODO.tasks to 
		EXTRA_DIST

2006-10-10  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* configure.in, src/gnome_ui.c, src/gnome_frame.c,
		src/gnome_options.c, debian: control, files, changelog, rules:
		Version bump and elimination of libgnome dependency. Also
		added yelp as a suggested package for debian package
	* doc/man: C/Makefile.am, de/Makefile.am: added po/pot to EXTRA_DIST
	* doc/man/de/xvidcap.1-de.xml: removed (xvidcap.1.xml everywhere)
	* doc/xvidcap: C/xvidcap.xml, de/xvidcap-de.po: continued
		German translation of user guide and minor fixes to C original
	* src/gnome_ui.c: added shortcut STRG-H for help because the stock
		menu item shows that

2006-10-09  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* doc/man: man.make, C/Makefile.am, de/Makefile.am, it/Makefile.am:
		make target encoding of manpage configurable per lang
	* doc/man: man.make, C/xvidcap.1.xml.pot, de/xvidcap.1-de.po:
		use xml2po rather than po4a
	* doc/xvidcap: C/xvidcap.xml.pot, de/xvidcap-de.po: initial 
		preparation for user-guide translation

2006-10-08  Karl H. Beckers  <karl.h.beckers@gmx.net>
 	* configure.in, doc/man: C/xvidcap.1, man.make, de/xvidcap.1.xml:
		integration of po4a to make translation of documentation
		more maintainable

2006-10-06  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* doc/man: C/xvidcap.1.xml, C/xvidcap.1, de/xvidcap.1.xml, 
		de/xvidcap.1: German translation of manpage and minor
		corrections of the English version
		
2006-10-04  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* doc/man: man.make, it/xvidcap.1.xml, it/xvidcap.1, de/xvidcap.1.xml,
		C/xvidcap.1.xml: changed encoding 
		back to ISO_8859-1 because man is in trouble otherwise. Will
		need to find a permanent fix when Asian languages come up.

2006-10-02  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* doc/man/C/xvidcap.1.xml, doc/man/de/xvidcap.1.xml, 
		doc/man/it/xvidcap.1.xml: corrected encoding specification
		to UTF-8

2006-10-02  Vincenzo Reale <smart2128@baslug.org>
	* doc/man/it/xvidcap.1.xml: Italian manpage

2006-10-02  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: codecs.c, gnome_ui.c, main.c, Makefile.am: some compatibility
		fixes for Solaris (not all yet, though)
	* src/gnome_options.c: eliminate use of gtk_combo_box_get_active_text
		to depend on gtk+-2.0 v. 2.4 only (rather than 2.6)
	* configure.in, doc/man/Makefile, doc/man/it: Makefile.am, xvidcap.1:
		support for Italian manpage

2006-09-29  Imanol Garcia <imanol.garcia.c@gmail.com>
	* po/es.po: added Spanish translation

2006-09-29  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* doc/man/*/Makefile.am, doc/man.make, configure.in: optimized manpage 
		generation and install
	* doc/xvidcap/de/*: prepared German translation of manual
	* Makefile.am: added xvidcap.png and xvidcap.desktop to EXTRA_DIST
	* Makefile.am: added ppm2mpeg.sh to EXTRA_DIST
	* src: gnome_warning.c, gnome_ui.c, app_data.h, app_data.c, 
		gnome_options.c, main.c, options.c, gnome-xvidcap.glade:
		removed help command setting everywhere
	* doc/xvidcap/C: figures/xvidcap-warning.png,
		figures/prefs-commands.png, xvidcap.xml: removed help command
		setting from the docs, too. Added section for warning dialog.
	* configure.in: included Spanish translation

2006-09-27  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* doc/man/*, doc/xmldocs.make, doc/omf.make: Migrated manpage
		to docbook and docbook2x-man generation. Also added
		architecture for manpage localization.

2006-09-23  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* doc/xmldocs.make: added appid and changed directories to
		make appid for references work
	* src: gnome_ui.c, gnome_options.c, gnome-xvidcap.glade:
		added correct hooks for opening help browser. Also
		enabled F1 shortcut and made help for preferences
		dialog open for active tab

2006-09-22  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* doc: first draft of manual

2006-09-21  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: gnome_ui.c, capture.c, main.c: made --gui no operation
		exit on CTRL-C from main.c rather than capture.c 
		(because I didn't find the place anymore myself ;) and
		this is more readable). Also added more telling debug
		statements
	* src/app_data.c: fixed missing localization for error messages
		on stdout (--gui no operation)
	* Makefile.am, configure.in, doc: omf.make, Makefile.am,
		xmldocs.make, doc/xvidcap-manual/Makefile.am,
		doc/xvidcap-manual/C/xvidcap-manual.xml: do no longer
		register doc with scrollkeeper on "install" target,
		use "make install-doc"

2006-09-19  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* configure.in, doc/xvidcap-manual/C: xvidcap-manual.xml, 
	  xvidcap-manual-C.omf:
		various modifications to make docbooks work and register
		with scrollkeeper
	* xvidcap.png, xvidcap.desktop, Makefile.am, 
	  debian: xvidcap.menu, postinst, postrm: various
		updates to create menu entries

2006-09-17  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* doc/*: initial import of xvidcap online docs

2006-09-11  Vincenzo Reale <smart2128@baslug.org>
	* po/it.po: added Italian translation

2006-09-11  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/gnome-xvidcap.glade: made main control not resizable
	* src/main.c: fixed segfault with --sync command line arg
	* po/de.po: fixed some translations

2006-09-10  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* configure.in: fixed libXmu detection in X11R6 paths,
		including setting runtime search path
	* ffmpeg-svn19513/libavformat/movenc.c, src/xtoffmpeg.c:
		fixed root cause for segfault in movenc.c and
		revert to original

2006-09-07  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/gnome_ui.c: removed unconditional debug output
	* src/codecs.c: fixed bug in the definition of the flv format
	* src/xtoffmpeg.c: added check for file_oformat != NULL, and 
		did some optimization to get rid of the "clipping
		dct coefficient message" (use trellis quant, mbd=2,
		no obmc, fast ffmpeg operation)
	* ffmpeg-svn19513/libavformat/movenc.c: fixed NULL pointer,
		need to watch this gets fixed upstream
	* src: gnome_ui.c, gnome-xvidcap.glade: added width and height
		to the results dialog
	
2006-09-06  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: control.h, gnome_ui.c, main.c: wake up sleeping capture
		thread when hitting stop
	* src: app_data.c, app_data.h, gnome_ui.c, gnome_options.c: fix
		command execution (animate etc.) to handle floating point
		values for time_pre_frame, needed for fps < 1
	* src/xtoffmpeg.c: fixed buffer underflows with m2v format

2006-09-05  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/gnome_ui.c: fix results dialog's calculation of actual
		frame rates for fps < 1

2006-09-04  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src: gnome_options.c, app_data.c: fix for bug # 1551021
	* src/main.c, man/xvidcap.1: updated usage and man page

2006-09-01  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* configure.in: fixed remainder of bug # 1109935
	* src/options.c,src/gnome_ui.c: fixed bug # 1109451
	* src/gnome_options.c: removed debug output
	* src/codecs.c: made mp3 default for mov format

2006-08-29  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* src/codecs.c: removed fraction fps rates till xvidcap is adapted
		to changed fractional timing handling in ffmpeg
	* src/xtoffmpeg.c: fixed ppm/pgm encoding

2006-08-28  Karl H. Beckers  <karl.h.beckers@gmx.net>
	* debian/files,debian/changelog,debian/rules: version bump
	* src/gnome_options.c: fixed segfault on reading apps from preferences
		ui with explicitly set multi-frame file format

